Show / Hide Table of Contents

# Enum SDL.SDL_PIXELTYPE_ENUM

###### Namespace: SDL2

###### Assembly: SDL2-CS.dll

##### Syntax

    public enum SDL_PIXELTYPE_ENUM

### Fields

Name | Description
--- | ---
SDL_PIXELTYPE_ARRAYF16 |
SDL_PIXELTYPE_ARRAYF32 |
SDL_PIXELTYPE_ARRAYU16 |
SDL_PIXELTYPE_ARRAYU32 |
SDL_PIXELTYPE_ARRAYU8 |
SDL_PIXELTYPE_INDEX1 |
SDL_PIXELTYPE_INDEX4 |
SDL_PIXELTYPE_INDEX8 |
SDL_PIXELTYPE_PACKED16 |
SDL_PIXELTYPE_PACKED32 |
SDL_PIXELTYPE_PACKED8 |
SDL_PIXELTYPE_UNKNOWN |

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()